Bug 1717634 - clusteroperator/monitoring does not define any related resources
Summary: clusteroperator/monitoring does not define any related resources
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.z
Assignee: Pawel Krupa
QA Contact: Junqi Zhao
URL:
Whiteboard: 4.1.4
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-05 20:38 UTC by Luis Sanchez
Modified: 2019-07-04 09:01 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-04 09:01:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 375 'None' 'closed' '[release-4.1] Bug 1717634: pkg/client: add support for relatedObjects in status report' 2019-12-04 05:10:16 UTC
Red Hat Product Errata RHBA-2019:1635 None None None 2019-07-04 09:01:33 UTC

Description Luis Sanchez 2019-06-05 20:38:19 UTC
Description of problem:

The monitoring ClusterOperator resource does not specify any related resources. This hinders problem-determination as tools cannot automatically collect the information needed to debug issues.

The operator should specify, at minimum, a namespace and a configuration resource to collect.

Here is an example from kube-apisever:

kind: ClusterOperator
metadata:
  name: kube-apiserver
status:
  relatedObjects:
    - group: operator.openshift.io
      name: cluster
      resource: kubeapiservers
    - group: ''
      name: openshift-config
      resource: namespaces
    - group: ''
      name: openshift-config-managed
      resource: namespaces
    - group: ''
      name: openshift-kube-apiserver-operator
      resource: namespaces
    - group: ''
      name: openshift-kube-apiserver
      resource: namespaces


A new e2e test designed to catch this deficiency will white-list this component initially. This component should be removed from the white-list as part of resolving this issue.

https://github.com/openshift/origin/blob/master/test/extended/operators/clusteroperators.go (link will be active once https://github.com/openshift/origin/pull/23044 merges)

Comment 1 Christian Heidenreich 2019-06-06 09:17:41 UTC
Thanks Luis for bringing that up.

I am not really sure what the implications are to prioritize this issue. Would you help me to understand that case a little better, please?

Comment 3 Christian Heidenreich 2019-06-06 14:40:04 UTC
Actually, we clarified all necessary details offline and we already started working on it.

Comment 7 errata-xmlrpc 2019-07-04 09:01:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1635


Note You need to log in before you can comment on or make changes to this bug.